.s1 {
  padding-top: 1rem;
  background-color: #f7f7f7;
}
.s1-container {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 0.4rem;
}
.s1-left {
  flex: 1;
  box-sizing: border-box;
  border-right: 1px solid #ddd;
}
.s1-right {
  flex: 5.18;
}
.s1-left-item {
  display: flex;
  align-items: center;
  gap: 0.15rem;
  margin-bottom: 0.2rem;
  cursor: pointer;
}
.s1-left-item-img {
  box-sizing: border-box;
  width: calc(26px + 0.3rem);
  height: calc(26px + 0.3rem);
  border-radius: 50%;
  padding: calc(6px + 0.1rem);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color 0.6s ease;
}
.s1-left-item-img img {
  width: 100%;
}
.s1-left-tag {
  color: #666;
  transition: 0.6s ease;
}
.s1-left-item.active .s1-left-item-img {
  background-color: #ffaf02;
}
.s1-left-item.active .s1-left-item-img img {
  filter: brightness(1.5) contrast(1.2);
}
.s1-left-item.active .s1-left-tag {
  color: #222;
}
@media (min-width: 768px) {
  .s1-left-item:hover .s1-left-item-img {
    background-color: #ffaf02;
  }
  .s1-left-item:hover .s1-left-item-img img {
    filter: brightness(1.5) contrast(1.2);
  }
  .s1-left-item:hover .s1-left-tag {
    color: #222;
  }
}
.s1-right {
  /*padding-left: 0.66rem;*/
  /*padding-bottom: 1rem;*/
}
.s1-right-img img {
  width: calc(10px + 0.4rem);
}
.s1-right-top {
  display: flex;
  align-items: flex-end;
  gap: 0.2rem;
  justify-content: flex-start;
  margin-bottom: 0.4rem;
}
.s1-right-title {
  font-size: var(--font-size-24);
  font-family: var(--font-medium);
  color: #222;
}
.s1-right-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.6rem 0.4rem;
  padding-bottom: 40px;
}
.s1-right-item {
  position: relative;
  background-color: #fff;
  padding: 0.27rem;
  padding-bottom: calc(25px + 0.2rem);
  box-sizing: border-box;
}
.s1-right-item-img {
  height: 2.35rem;
  min-height: 100px;
  margin-bottom: 0.3rem;
}
.s1-right-item-img img {
  width: 100%;
  object-fit: contain;
}
.s1-right-item-title {
  font-size: var(--font-size-18);
  color: #222;
  font-family: var(--font-medium);
  margin-bottom: 0.13rem;
}
.s1-right-item-desc {
  color: #666;
  font-size: var(--font-size-14);
  line-height: 1.5;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-clamp: 2;
}
.s1-right-item-btn {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  opacity: 0;
}
.s1-right-item:hover .s1-right-item-btn {
  opacity: 1;
}
@media (min-width: 768px) {
  .s1-right-item-btn.com-btn:hover {
    transform: translate(-50%, calc(50% + 0.1rem));
  }
}

@media (max-width: 768px) {
  .s1-left-list {
    display: flex;
    gap: 0.2rem;
  }
  .s1-right {
    padding: 0.4rem 0 1rem;
    min-width: 100%;
  }
  .s1-right-content {
    grid-template-columns: repeat(2, 1fr);
  }
  .s1-right-item-btn {
    opacity: 1;
    left: 0.8rem;
    transform: translate(0, 50%);
    width: fit-content;
    padding: 0.16rem 0.2rem;
  }
  .s1-right-item-btn.com-btn:hover {
    transform: translate(0, 50%);
  }
}
.s1-right-middle {
  display: flex;
  flex-wrap: wrap;
  padding: 0.36rem 0.1rem 0.27rem;
  background-color: #fff;
  gap: 0.4rem;
  box-shadow: 0px calc(-0.04rem - 4px) 0 var(--theme-color) inset;
  margin-bottom: 0.4rem;
}
.s1-right-middle-bottom {
  flex: 1 100%;
  text-align: right;
  color: var(--theme-color);
}
.s1-right-middle-left {
  flex: 1.1;
  display: flex;
}
.s1-right-middle-img {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}
.s1-right-middle-img img {
  width: 100%;
  object-fit: contain;
}
.s1-right-middle-text {
  flex: 1.2;
  box-sizing: border-box;
}
.s1-right-middle-right {
  flex: 1;
  box-sizing: border-box;
  color: #666;
}
.s1-right-middle-left {
  flex: 1.019;
  display: flex;
  box-sizing: border-box;
  gap: 0.2rem;
}
.s1-right-middle-title {
  color: var(--theme-color);
  font-size: var(--font-size-18);
  font-family: var(--font-medium);
  padding: 0.16rem 0 0.18rem;
  border-bottom: 1px solid var(--theme-color);
}
.s1-right-middle-title::before {
  content: '';
  display: inline-block;
  width: 0.1rem;
  height: 0.1rem;
  border-radius: 50%;
  background-color: var(--theme-color);
  margin-right: 0.12rem;
}
.s1-right-middle-desc {
  line-height: 1.5;
  margin-top: 0.14rem;
  color: #666;
}
.s1-right-middle-right .layout {
  display: flex;
  text-align: center;
  align-items: center;
  gap: calc(3px + 0.04rem);
}
.s1-right-middle-head {
  background-color: #ffaf02;
  color: #fff;
  padding: calc(4px + 0.04rem) 0;
  margin-bottom: calc(3px + 0.04rem);
}
.s1-head {
  flex: 1;
  color: inherit;
}
.s1-head-c {
  flex: 3.9;
  color: inherit;
}

.s1-right-middle-item-a {
  flex: 1;
  color: inherit;
  align-self: stretch;
  padding: calc(4px + 0.04rem) 0;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.5;
}
.s1-right-middle-item-c {
  flex: 3.9;
  color: inherit;
  align-self: stretch;
  padding: calc(4px + 0.04rem) 0;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.5;
  word-break: break-word;
}
.s1-right-middle-item:nth-child(2n) .s1-right-middle-item-a,
.s1-right-middle-item:nth-child(2n) .s1-right-middle-item-c {
  background-color: #e3e3e3;
}

.s1-right-bottom {
  margin-bottom: 0.4rem;
  background-color: #fff;
  padding: 0.24rem 0.1rem;
}
.s1-right-bottom-img img {
  width: 100%;
  object-fit: contain;
}
.s1-right-bottom-tag {
  margin-top: 0.1rem;
  text-align: right;
  color: var(--theme-color);
}
@media (max-width: 768px) {
  .s1-right-middle-right {
    flex: 1 100%;
  }
}

.s1 {
  padding: 0.7rem 0 1rem;
  background-color: #f7f7f7;
}
.s1-title {
  text-align: center;
  margin-bottom: 0.22rem;
}
.s1-desc {
  text-align: center;
  color: #666;
  margin-bottom: 0.27rem;
}
.s1-tag-list {
  display: flex;
  justify-content: center;
  gap: 0.36rem;
  margin-bottom: 0.74rem;
}
.s1-tag-item {
  background-color: transparent;
  color: #666;
  border: 1px solid var(--theme-color);
}
.s1-tag-item::after {
  filter: brightness(0) saturate(100%);
}
.s1-tag-item:hover {
  background-color: var(--theme-color);
  color: #fff;
}
.s1-tag-item:hover::after {
  filter: none;
}
.s1-tag-item.active {
  color: #fff;
  background-color: var(--theme-color);
}
.s1-tag-item.active::after {
  filter: none;
}

.s1-item-top {
  display: flex;
  justify-content: space-between;
  gap: 0.1rem;
  align-items: center;
  margin-bottom: 0.4rem;
}
.s1-content-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.4rem;
}
.s1-item {
  padding: 0.3rem 0.2rem 0.26rem;
  border-bottom: 4px solid transparent;
  background-color: #fff;
  overflow: hidden;
  margin-bottom: 0.64rem;
  box-sizing: border-box;
}
.s1-item-layout {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  top: 0.4rem;
  transition: 1s;
}
.s1-item-img {
  display: flex;
  justify-content: center;
  align-items: center;
}
.s1-item-text {
  padding: 0.4rem 0.2rem 0;
  text-align: center;
}
.s1-item-name {
  font-size: var(--font-size-18);
  color: #222;
  font-family: var(--font-medium);
  margin-bottom: 0.14rem;
}
.s1-item-desc {
  font-size: 14px;
  color: #666;
}
.s1-item-tag {
  margin-top: 0.3rem;
  font-size: 14px;
  position: relative;
  visibility: hidden;
}
.s1-item-tag::after {
  content: '';
  position: absolute;
}
.s1-item:hover .s1-item-layout {
  top: 0;
}
.s1-item:hover {
  border-bottom-color: var(--theme-color);
}
.s1-item:hover .s1-item-tag {
  visibility: visible;
}
.s1-item-series {
  font-size: 14px;
  color: #666;
  margin-bottom: 0.2rem;
  font-family: var(--font-medium);
}
@media (max-width: 768px) {
  .s1-content-list {
    grid-template-columns: repeat(2, 1fr);
  }
  .s1-item-layout {
    top: 0;
  }
  .s1-item-tag {
    visibility: visible;
  }
  .s1-item {
    border-color: var(--theme-color);
  }
  .s1-tag-list {
    flex-wrap: wrap;
    gap: 0.2rem;
  }
  .s1-tag-item {
    width: 100%;
    display: flex;
    justify-content: space-between;

    box-sizing: border-box;
  }
  .s1-right-middle-left {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 450px) {
  .s1-content-list {
    grid-template-columns: repeat(1, 1fr);
  }
}

.pagation {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.2rem;
  margin-top: 1rem;
}

.sty {
  border-radius: 20px;
  border: solid 1px #ffc335;
  padding: 0.13rem 0.44rem;
  box-sizing: border-box;
  border: 1px solid var(--theme-color);
}

.pagation-link {
  border-radius: 50%;
  width: calc(20px + 0.18rem);
  height: calc(20px + 0.18rem);
  min-width: calc(20px + 0.18rem);
  /* background-color: var(--theme-color); */
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  border: 1px solid var(--theme-color);
  color: #222;
}
.pagation-link.active {
  background-color: var(--theme-color);
  color: #fff;
}

.nav-item-arrow {
  width: max(0.1rem, 6px);
  height: max(0.1rem, 6px);
  transform: rotate(-45deg);
  vertical-align: middle;
  border: 1px solid #666;
  border-top-color: transparent;
  border-left-color: transparent;
}
